// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "UIRectangle.hpp"

using namespace Dawn;

void UIRectangle::getSelfQuads(const glm::vec2 t, UICanvas &ctx) {
  std::vector<struct UIShaderQuad> quads;
  ctx.addQuad(
    glm::vec4(t, t + size),
    uv,
    color,
    nullptr
  );
}